> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hitpayapp.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Beneficiary

> Update a beneficiary's nickname, remark, or favourite status



## OpenAPI

````yaml patch /v1/beneficiaries/{beneficiary_id}
openapi: 3.1.1
info:
  title: HitPay API
  description: >-
    Accept PayNow, FPX, QRIS, GrabPay, cards, and 40+ payment methods with a
    single API. Production base URL: https://api.hit-pay.com, Sandbox:
    https://api.sandbox.hit-pay.com
  version: '1.0'
servers:
  - url: https://api.hit-pay.com
    description: Production
  - url: https://api.sandbox.hit-pay.com
    description: Sandbox
security: []
paths:
  /v1/beneficiaries/{beneficiary_id}:
    patch:
      summary: Update existing beneficiary
      description: we only accept to update nickname, remark and is_favourite fields
      operationId: update-beneficiary
      parameters:
        - name: X-BUSINESS-API-KEY
          in: header
          required: true
          style: simple
          explode: false
          schema:
            type: string
            example: b286daabf9921b5a01a4621f026c111e046f8911feba212996c92159b98427d
        - name: beneficiary_id
          in: path
          description: The Beneficiary id
          schema:
            type: string
            format: uuid
            example: 9b294222-3a53-427f-9393-95dc6d63ee6c
          required: true
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                nickname:
                  type: string
                  maxLength: 255
                remark:
                  type: string
                  maxLength: 255
                is_favourite:
                  type: boolean
                  description: Set to true to mark this beneficiary as favourite
                  enum:
                    - true
                    - false
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    id: 9eb3d3ff-3fb0-450e-bb61-7c0753974398
                    status: approved
                    country: sg
                    currency: sgd
                    transfer_method: bank_transfer
                    transfer_type: local
                    nickname: Harry Satterfield
                    remark: >-
                      RemarkAnimi veniam recusandae nihil sapiente temporibus
                      voluptas aliquam.
                    holder_name: Test QA
                    holder_type: individual
                    bank_branch_code: '001'
                    account_number: '173737377'
                    bank_name: AMERICAN EXPRESS BANK LTD
                    bank_id: AEIBSGSXXXX[7454]
                    email: test@gmail.com
                    bank_swift_code: AEIBSGSXXXX
                    is_favourite: false
                    created_by:
                      id: 98566f58-1c76-4b8b-8f75-d20bba2bc7f8
                      display_name: TestingSG
                      first_name: QA
                      last_name: SG
                    created_at: '2025-04-18T12:52:10+08:00'
                    updated_at: '2025-04-24T16:03:03+08:00'
                    deleted_at: null
              schema:
                type: object
                properties:
                  id:
                    type: string
                  status:
                    type: string
                  country:
                    type: string
                  currency:
                    type: string
                  transfer_method:
                    type: string
                  transfer_type:
                    type: string
                  nickname:
                    type: string
                  remark:
                    type: string
                  holder_name:
                    type: string
                  holder_type:
                    type: string
                  bank_branch_code:
                    type: string
                  account_number:
                    type: string
                  bank_name:
                    type: string
                  bank_id:
                    type: string
                  email:
                    type: string
                  bank_swift_code:
                    type: string
                  is_favourite:
                    type: boolean
                  created_by:
                    type: object
                    properties:
                      id:
                        type: string
                      display_name:
                        type: string
                      first_name:
                        type: string
                      last_name:
                        type: string
                    required:
                      - id
                      - display_name
                      - first_name
                      - last_name
                  created_at:
                    type: string
                  updated_at:
                    type: string
                  deleted_at:
                    type:
                      - string
                      - 'null'
                required:
                  - id
                  - status
                  - country
                  - currency
                  - transfer_method
                  - transfer_type
                  - nickname
                  - remark
                  - holder_name
                  - holder_type
                  - bank_branch_code
                  - account_number
                  - bank_name
                  - bank_id
                  - email
                  - bank_swift_code
                  - is_favourite
                  - created_by
                  - created_at
                  - updated_at
                  - deleted_at
        '422':
          description: '422'
          content:
            application/json:
              examples:
                Result:
                  value:
                    message: >-
                      The given data was invalid. The remark may not be greater
                      than 255 characters.
                    errors:
                      remark:
                        - The remark may not be greater than 255 characters.
      deprecated: false

````